Bug Hunting Session
Bug 95888 - Single click on header area no longer allows adding a header
Summary: Single click on header area no longer allows adding a header
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.0.alpha1
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:5.1.0
Keywords: regression
Depends on:
Blocks:
 
Reported: 2015-11-17 21:02 UTC by Miklos Vajna
Modified: 2016-10-25 19:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2015-11-17 21:02:20 UTC
Steps to reproduce:

1) Create a new Writer document.
2) Click above the body frame, but inside the page frame.

Expected behavior: indicators show up to allow creating a header.

Actual behavior: nothing happens.

Bibisect from git://dev-downloads.libreoffice.org/lo-linux-dbgutil-daily.git says that the range is 4f1dca5083c5a301181786b563b165f19a9dec7f..419549b095a1bb95ce23bf3fc8866e6b582e6dde, most probably 54a2c8c006e2f216e9d8c6b0ed625180c843c48b.
Comment 1 Commit Notification 2015-11-18 08:40:31 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a23f85f171634732359fc7e4d932a6ff11905c9a

tdf#95888 sw: make click to header area show header controls again

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.